## pytables 3.4.2

=== requirements.txt ===
# Keep in sync with tables/req_versions.py and
# doc/source/usersguide/installation.rst
numpy>=1.8.0
numexpr>=2.5.2
six>=1.9.0
