=== debian/changelog ===
pytables (3.4.2-4) unstable; urgency=medium

  * debian/control
    - python-tables-doc (>= 3.4.2-3) tries to overwrite files in older
      python-tables.
      Set the proper package dependency relations (Closes: #891023).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 25 Feb 2018 12:07:35 +0000

pytables (3.4.2-3) unstable; urgency=medium

  * Standard version bumped to v4.1.3 (no changes)
  * Set compat to 11
  * Update lintian overrides
  * Fix 0005-usepackage-threeparttable.patch (Closes: #888177)
  * debian/control
    - suggest python(3)-netcdf4 instead of python-netcdf
    - drop build dependency from python3-mock (Closes: #876841)
    - update package description (Closes: #664441)
  * Do not install duplicate files
  * python-tables-doc depends on libjs-mathjax (Closes: #877277)
  * debian/patches
    - refresh all patches
    - new 0006-Use-mock-form-stdlib.patch

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 02 Feb 2018 07:39:49 +0000

pytables (3.4.2-2) unstable; urgency=medium

  * Standard version bumped to v4.1.1 (extra --> optional)
  * debian/control
    - declare break/replace rules: python3-tables (>= 3.4.2-1) install
      scripts that was previously installed by python-tables
      (Closes: #881741)
    - remove break/replace rules for pytables << 3.0.0-3:
      no longer necessary
  * debian/tests/control
    - reformat
    - re-enable tests on python3-dbg
  * add debian/source.lintian-overrides

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 18 Nov 2017 11:58:23 +0000

pytables (3.4.2-1) unstable; urgency=medium

  * New upstream release (Closes: #874362)
  * Standard version bumped to v4.1.0 (no change)
  * Ensure that autopkgtest scripts return the correct exit code
    (Closes: #864395)
  * debian/patches:
    - drop 0003-Do-not-fetch-icons-for-external-web-sites.patch,
      0004-fix-compatibility-with-HDF5-1.10.patch,
      0005-Ignore-cpuinfo-on-unsupported-archs.patch and
      0006-allow-for-long-type-in-nextafter: applied upstream
    - refresh remainimg patches
    - new 0003-use-local-mathjax.patch
    - new 0004-unicode-charecter-for-latexpdf.patch
    - new 0005-usepackage-threeparttable.patch (compatibility
      with sphinx >= 1.6)
  * Updated copyright file
  * debian/control
    - add build dependency from python(3)-sphinx-rtd-theme,
      python(3)-ipython, python(3)-numpydoc and python-mock
    - add dependency from libjs-mathjax and python(3)-mock
    - depend on python3-sphinx instead of pyhton-sphinx
    - build-depend on latexmk that is required bt sphinx >= 1.6
      (Closes: #872314)
    - remove un-necessary "Testsuite: autopkgtest"
  * Install scripts (and related manpages) for the python3 version
    of the package
  * debian/rules
    - no longer use dpkg-parsechangelog to determine the current
      package timestamp
    - avoid duplicate files in the doc
    - improve clean target
  * debian/source/lintian-overrides
    - new lintian overrides for library-package-name-for-application
      and application-in-library-section

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 23 Sep 2017 11:56:40 +0000
