=== debian/control ===
Source: pytables
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               locales,
               libhdf5-dev,
               python-all-dev,
               python-all-dbg,
               python3-all-dev,
               python3-all-dbg,
               python-setuptools,
               python3-setuptools,
               python-six,
               python3-six,
               python-numpy,
               python-numpy-dbg,
               python3-numpy,
               python3-numpy-dbg,
               python-numexpr,
               python-numexpr-dbg,
               python3-numexpr,
               python3-numexpr-dbg,
               python-mock,
               cython,
               cython-dbg,
               cython3,
               cython3-dbg,
               zlib1g-dev,
               liblzo2-dev,
               libblosc-dev,
               liblz4-dev (>= 0.0~r122),
               libsnappy-dev,
               libbz2-dev,
               libzstd-dev,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-ipython,
               python3-numpydoc,
               texlive-generic-extra,
               texlive-latex-recommended,
               texlive-latex-extra,
               texlive-fonts-recommended,
               libjs-jquery-cookie,
               libjs-mathjax,
               latexmk
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pytables.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pytables.git
Homepage: http://www.pytables.org
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-tables
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-tables-lib (>= ${source:Version}),
         python-tables-lib (<< ${source:Version}.1~),
         python-tables-data (= ${source:Version}),
         python-numexpr,
         python-mock
Suggests: python-tables-doc (>= 3.4.2-3),
          python-netcdf4,
          vitables
Description: hierarchical database for Python based on HDF5
 PyTables is a package for managing hierarchical datasets and designed
 to efficiently cope with extremely large amounts of data.
 .
 It is built on top of the HDF5 library and the NumPy package. It
 features an object-oriented interface that, combined with C extensions
 for the performance-critical parts of the code (generated using
 Cython), makes it a fast, yet extremely easy to use tool for
 interactively save and retrieve very large amounts of data. One
 important feature of PyTables is that it optimizes memory and disk
 resources so that they take much less space (between a factor 3 to 5,
 and more if the data is compressible) than other solutions, like for
 example, relational or object oriented databases.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy objects.
 .
 This is the Python 2 version of the package.

Package: python-tables-lib
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-tables (= ${source:Version})
Description: hierarchical database for Python based on HDF5 (extension)
 PyTables is a package for managing hierarchical datasets and designed
 to efficiently cope with extremely large amounts of data.
 .
 It is built on top of the HDF5 library and the NumPy package. It
 features an object-oriented interface that, combined with C extensions
 for the performance-critical parts of the code (generated using
 Cython), makes it a fast, yet extremely easy to use tool for
 interactively save and retrieve very large amounts of data. One
 important feature of PyTables is that it optimizes memory and disk
 resources so that they take much less space (between a factor 3 to 5,
 and more if the data is compressible) than other solutions, like for
 example, relational or object oriented databases.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy objects.
 .
 This package contains the extension built for the Python 2 interpreter.

Package: python-tables-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         python-tables (= ${source:Version}),
         python-tables-lib (= ${binary:Version}),
         python-dbg,
         python-numpy-dbg,
         python-numexpr-dbg
Suggests: python-tables-doc,
          python-netcdf4
Description: hierarchical database for Python based on HDF5 (debug extension)
 PyTables is a package for managing hierarchical datasets and designed
 to efficiently cope with extremely large amounts of data.
 .
 It is built on top of the HDF5 library and the NumPy package. It
 features an object-oriented interface that, combined with C extensions
 for the performance-critical parts of the code (generated using
 Cython), makes it a fast, yet extremely easy to use tool for
 interactively save and retrieve very large amounts of data. One
 important feature of PyTables is that it optimizes memory and disk
 resources so that they take much less space (between a factor 3 to 5,
 and more if the data is compressible) than other solutions, like for
 example, relational or object oriented databases.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy objects.
 .
 This package contains the extension built for the Python 2 debug interpreter.

Package: python3-tables
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-tables-lib (>= ${source:Version}),
         python3-tables-lib (<< ${source:Version}.1~),
         python-tables-data (= ${source:Version}),
         python3-numexpr
Suggests: python-tables-doc (>> 3.4.2-3),
          python3-netcdf4,
          vitables
Replaces: python-tables (<< 3.4.2-1)
Breaks: python-tables (<< 3.4.2-1)
Description: hierarchical database for Python3 based on HDF5
 PyTables is a package for managing hierarchical datasets and designed
 to efficiently cope with extremely large amounts of data.
 .
 It is built on top of the HDF5 library and the NumPy package. It
 features an object-oriented interface that, combined with C extensions
 for the performance-critical parts of the code (generated using
 Cython), makes it a fast, yet extremely easy to use tool for
 interactively save and retrieve very large amounts of data. One
 important feature of PyTables is that it optimizes memory and disk
 resources so that they take much less space (between a factor 3 to 5,
 and more if the data is compressible) than other solutions, like for
 example, relational or object oriented databases.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy objects.
 .
 This is the Python 3 version of the package.

Package: python3-tables-lib
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-tables (= ${source:Version})
Description: hierarchical database for Python3 based on HDF5 (extension)
 PyTables is a package for managing hierarchical datasets and designed
 to efficiently cope with extremely large amounts of data.
 .
 It is built on top of the HDF5 library and the NumPy package. It
 features an object-oriented interface that, combined with C extensions
 for the performance-critical parts of the code (generated using
 Cython), makes it a fast, yet extremely easy to use tool for
 interactively save and retrieve very large amounts of data. One
 important feature of PyTables is that it optimizes memory and disk
 resources so that they take much less space (between a factor 3 to 5,
 and more if the data is compressible) than other solutions, like for
 example, relational or object oriented databases.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy objects.
 .
 This package contains the extension built for the Python 3 interpreter.

Package: python3-tables-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-tables (= ${source:Version}),
         python3-tables-lib (= ${binary:Version}),
         python3-dbg,
         python3-numpy-dbg,
         python3-numexpr-dbg
Suggests: python-tables-doc,
          python3-netcdf4
Description: hierarchical database for Python 3 based on HDF5 (debug extension)
 PyTables is a package for managing hierarchical datasets and designed
 to efficiently cope with extremely large amounts of data.
 .
 It is built on top of the HDF5 library and the NumPy package. It
 features an object-oriented interface that, combined with C extensions
 for the performance-critical parts of the code (generated using
 Cython), makes it a fast, yet extremely easy to use tool for
 interactively save and retrieve very large amounts of data. One
 important feature of PyTables is that it optimizes memory and disk
 resources so that they take much less space (between a factor 3 to 5,
 and more if the data is compressible) than other solutions, like for
 example, relational or object oriented databases.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy objects.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python-tables-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax,
         libjs-jquery-cookie
Suggests: xpdf | pdf-viewer,
          www-browser
Replaces: python-tables (<< 3.4.2-3)
Breaks: python-tables (<< 3.4.2-3)
