=== debian/tests/control ===
Tests: python2,
       python2-dbg,
       python3,
       python3-dbg
Depends: python-tables,
         python-all,
         python-tables-dbg,
         python-all-dbg,
         python3-tables,
         python3-all,
         python3-tables-dbg,
         python3-all-dbg
