=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v\.?(\d\S*)\.tar\.gz/PyTables-$1\.tar\.gz/ \
  https://github.com/PyTables/PyTables/tags .*/v\.?(\d\S*)\.tar\.gz
